<?php if (!defined ('TYPO3_MODE')) 	die ('Access denied.'); ?>

<h3>HTML Form</h3>
<p>Done with <strong>tx_lib_phpTemplateEngine</strong> using plain HTML.</p>
<p>A quick solution for small forms. You don't need to learn the form function API of lib/div.</p>

<form method="post" action="<?php print $this->form->action(); ?>">
  <input type="hidden" id="cherries_hidden" name="cherries[hidden]" value="<?php print $this->form->value('hidden'); ?>"/>

	<fieldset>
		<legend>Checkbox</legend>
		<dl>
			<dt><label for="cherries_checkbox">Checkbox</label></dt>
			<dd><input type="checkbox" id="cherries_checkbox" name="cherries[checkbox]" value="Checkbox" <?php print $this->form->checked('checkbox', 'Checkbox'); ?>/></dd>
		</dl>
	</fieldset>

	<fieldset>
		<legend>Single selections</legend>
		<dl>
			<dt><label for="cherries_select">Select</label></dt>
			<dd>
				<select id="cherries_select" name="cherries[select]" size="1">
					<option value="1"<?php print $this->form->selected('select', '1'); ?>>Option 1</option>
					<option value="2"<?php print $this->form->selected('select', '2'); ?>>Option 2</option>
				</select>
			</dd>
		</dl>
		<fieldset>
			<legend>Radio group</legend>
			<dl>
				<dt><label for="cherries_radio1">Radio 1</label></dt>
				<dd><input type="radio" id="cherries_radio1" name="cherries[radio]" value="value1" <?php print $this->form->checked('radio', 'value1'); ?>/></dd>
				<dt><label for="cherries_radio2">Radio 2</label></dt>
				<dd><input type="radio" id="cherries_radio2" name="cherries[radio]" value="value2" <?php print $this->form->checked('radio', 'value2'); ?>/></dd>
			</dl>
		</fieldset>
	</fieldset>

	<fieldset>
		<legend>Multiple selections</legend>
		<dl>
			<dt><label for="cherries_multiselect">Multiselect</label></dt>
			<dd>
				<select id="cherries_multiselect" name="cherries[multiselect][]" multiple="multiple" size="2">
					<option value="1"<?php print $this->form->selected('multiselect', '1'); ?>>Option 1</option>
					<option value="2"<?php print $this->form->selected('multiselect', '2'); ?>>Option 2</option>
				</select>
			</dd>
		</dl>
		<fieldset>
			<legend>Checkbox group</legend>
			<dl>
				<dt><label for="cherries_checkbox1">Checkbox 1</label></dt>
				<dd><input type="checkbox" id="cherries_checkbox1" name="cherries[checkboxes][]" value="value1" <?php print $this->form->checked('checkboxes', 'value1'); ?>/></dd>
				<dt><label for="cherries_checkbox2">Checkbox 2</label></dt>
				<dd><input type="checkbox" id="cherries_checkbox2" name="cherries[checkboxes][]" value="value2" <?php print $this->form->checked('checkboxes', 'value2'); ?>/></dd>
			</dl>
		</fieldset>
	</fieldset>

	<fieldset>
		<legend>Text</legend>
		<dl>
			<dt><label for="cherries_textarea">Textarea</label></dt>
			<dd><textarea id="cherries_textarea" name="cherries[textarea]" cols="50" rows="5"><?php print $this->form->value('input'); ?></textarea></dd>
			<dt><label for="cherries_input">Input</label></dt>
			<dd><input type="text" id="cherries_input" name="cherries[input]" value="<?php print $this->form->value('input'); ?>" size="50"/></dd>
			<dt><label for="cherries_password">Password</label></dt>
			<dd><input type="password" id="cherries_password" name="cherries[password]" value="<?php print $this->form->value('password'); ?>" size="50"/></dd>
		</dl>
	</fieldset>

	<fieldset>
		<legend>Controls</legend>
		<dl>
			<dt><label for="cherries_submit">Submit</label></dt>
			<dd><input type="submit" id="cherries_submit" value="Send it" name="cherries[action][traditionalTemplate]" /></dd>
			<dt><label for="cherries_submit">Reset Button</label></dt>
			<dd><input type="reset" id="cherries_reset" value="Reset it" /></dd>
		</dl>
	</fieldset>

</form>
